import type { AgentContext } from '../../../agent';
import type { DidResolutionOptions, DidResolutionResult } from '../types';
import { Logger } from '../../../logger';
import { DidsModuleConfig } from '../DidsModuleConfig';
import { DidDocument } from '../domain';
export declare class DidResolverService {
    private logger;
    private didsModuleConfig;
    constructor(logger: Logger, didsModuleConfig: DidsModuleConfig);
    resolve(agentContext: AgentContext, didUrl: string, options?: DidResolutionOptions): Promise<DidResolutionResult>;
    /**
     * Resolve a did document. This uses the default resolution options, and thus
     * will use caching if available.
     */
    resolveDidDocument(agentContext: AgentContext, did: string): Promise<DidDocument>;
    private findResolver;
}
